REM REX35EMX.BAT -- .BAT to build DOS/EMX w/o Make (short cmdlines ftw!)
REM Tested with EMX 0.9d, GCC 2.8.1, Regina 3.5

if exist rexx.exe goto end

set OPT=-w -O -DNDEBUG -funsigned-char -Wno-char-subscripts

REM ============================================================
REM Add these to top of configur.h before beginning!

if exist myemx.h goto config

echo #define DOS >myemx.h
echo #define EMX >>myemx.h
echo #define NO_EXTERNAL_QUEUES >>myemx.h
echo #define REGINA_VERSION_DATE "31 Dec 2009" >>myemx.h
echo #define REGINA_VERSION_MAJOR "3" >>myemx.h
echo #define REGINA_VERSION_MINOR "5" >>myemx.h
echo #define REGINA_VERSION_SUPP "" >>myemx.h

:config
ren configur.h configur.h~
:: sed -e "1s/.*/#include \"myemx.h\"\n&/" configur.h~ >configur.h
copy /b myemx.h + configur.h~ configur.h >NUL
if not exist configur.h goto end
REM ============================================================

:begin
gcc %OPT% -c funcs.c
gcc %OPT% -c builtin.c
gcc %OPT% -c error.c
gcc %OPT% -c variable.c
gcc %OPT% -c interprt.c
gcc %OPT% -c debug.c
gcc %OPT% -c dbgfuncs.c
gcc %OPT% -c memory.c
gcc %OPT% -c parsing.c
gcc %OPT% -c files.c
gcc %OPT% -c misc.c
gcc %OPT% -c unxfuncs.c
gcc %OPT% -c arxfuncs.c
gcc %OPT% -c cmsfuncs.c
gcc %OPT% -c os2funcs.c
gcc %OPT% -c shell.c
gcc %OPT% -c rexxext.c
gcc %OPT% -c stack.c
gcc %OPT% -c tracing.c
gcc %OPT% -c interp.c
gcc %OPT% -c cmath.c
gcc %OPT% -c convert.c
gcc %OPT% -c strings.c
gcc %OPT% -c library.c
gcc %OPT% -c strmath.c
gcc %OPT% -c signals.c
gcc %OPT% -c macros.c
gcc %OPT% -c envir.c
gcc %OPT% -c expr.c
gcc %OPT% -c mt_notmt.c
gcc %OPT% -c instore.c
gcc %OPT% -c -DYYMAXDEPTH=10000 yaccsrc.c
gcc %OPT% -c lexsrc.c
gcc %OPT% -c options.c
gcc %OPT% -c os_other.c
gcc %OPT% -c wrappers.c
gcc %OPT% -c rexx.c
gcc %OPT% -c nosaa.c
REM gcc -o rexx funcs.o builtin.o error.o variable.o interprt.o debug.o \
REM dbgfuncs.o memory.o parsing.o files.o misc.o unxfuncs.o arxfuncs.o \
REM cmsfuncs.o os2funcs.o shell.o rexxext.o stack.o tracing.o interp.o \
REM cmath.o convert.o strings.o library.o strmath.o signals.o macros.o \
REM envir.o expr.o mt_notmt.o instore.o yaccsrc.o lexsrc.o options.o \
REM os_other.o wrappers.o rexx.o nosaa.o
gcc %OPT% -o rexx *.o
emxbind rexx -acm
emxbind -s rexx.exe

gcc %OPT% -c execiser.c
gcc %OPT% -c client.c
gcc %OPT% -c -DRXLIB rexx.c
gcc %OPT% -c rexxsaa.c
REM ar cr regina.a funcs.o builtin.o error.o variable.o interprt.o debug.o \
REM dbgfuncs.o memory.o parsing.o files.o misc.o unxfuncs.o arxfuncs.o \
REM cmsfuncs.o os2funcs.o shell.o rexxext.o stack.o tracing.o interp.o \
REM cmath.o convert.o strings.o library.o strmath.o signals.o macros.o \
REM envir.o expr.o mt_notmt.o instore.o yaccsrc.o lexsrc.o options.o \
REM os_other.o wrappers.o client.o drexx.o rexxsaa.o
ar rvs regina.a *.o

gcc %OPT% -o execiser execiser.o regina.a
emxbind execiser -acm

gcc %OPT% -c msgcmp.c
gcc %OPT% -o msgcmp msgcmp.o
emxbind msgcmp -acm
msgcmp ./en.mts ./pt.mts ./no.mts ./de.mts ./es.mts ./pl.mts ./tr.mts ./sv.mts

:end
set OPT=
